require "strip_emoji/version"

module StripEmoji

  @@reg_emoji = Regexp.new(/(?:😄|😃|😀|😊|☺️|😉|😍|😘|😚|😗|😙|😜|😝|😛|😳|😁|😔|😌|😒|😞|😣|😢|😂|😭|😪|😥|😰|😅|😓|😩|😫|😨|😱|😠|😡|😤|😖|😆|😋|😷|😎|😴|😵|😲|😟|😦|😧|😈|👿|😮|😬|😐|😕|😯|😶|😇|😏|😑|👲|👳|👮|👷|💂|👶|👦|👧|👨|👩|👴|👵|👱|👼|👸|😺|😸|😻|😽|😼|🙀|😿|😹|😾|👹|👺|🙈|🙉|🙊|💀|👽|💩|🔥|✨|🌟|💫|💥|💢|💦|💧|💤|💨|👂|👀|👃|👅|👄|👍|👎|👌|👊|✊|✌️|👋|✋|👐|👆|👇|👉|👈|🙌|🙏|☝️|👏|💪|🚶|🏃|💃|👫|👪|👬|👭|💏|💑|👯|🙆|🙅|💁|🙋|💆|💇|💅|👰|🙎|🙍|🙇|🎩|👑|👒|👟|👞|👡|👠|👢|👕|👔|👚|👗|🎽|👖|👘|👙|💼|👜|👝|👛|👓|🎀|🌂|💄|💛|💙|💜|💚|❤️|💔|💗|💓|💕|💖|💞|💘|💌|💋|💍|💎|👤|👥|💬|👣|💭|🐶|🐺|🐱|🐭|🐹|🐰|🐸|🐯|🐨|🐻|🐷|🐽|🐮|🐗|🐵|🐒|🐴|🐑|🐘|🐼|🐧|🐦|🐤|🐥|🐣|🐔|🐍|🐢|🐛|🐝|🐜|🐞|🐌|🐙|🐚|🐠|🐟|🐬|🐳|🐋|🐄|🐏|🐀|🐃|🐅|🐇|🐉|🐎|🐐|🐓|🐕|🐖|🐁|🐂|🐲|🐡|🐊|🐫|🐪|🐆|🐈|🐩|🐾|💐|🌸|🌷|🍀|🌹|🌻|🌺|🍁|🍃|🍂|🌿|🌾|🍄|🌵|🌴|🌲|🌳|🌰|🌱|🌼|🌐|🌞|🌝|🌚|🌑|🌒|🌓|🌔|🌕|🌖|🌗|🌘|🌜|🌛|🌙|🌍|🌎|🌏|🌋|🌌|🌠|⭐|☀️|⛅|☁️|⚡|☔|❄️|⛄|🌀|🌁|🌈|🌊|🎍|💝|🎎|🎒|🎓|🎏|🎆|🎇|🎐|🎑|🎃|👻|🎅|🎄|🎁|🎋|🎉|🎊|🎈|🎌|🔮|🎥|📷|📹|📼|💿|📀|💽|💾|💻|📱|☎️|📞|📟|📠|📡|📺|📻|🔊|🔉|🔈|🔇|🔔|🔕|📢|📣|⏳|⌛|⏰|⌚|🔓|🔒|🔏|🔐|🔑|🔎|💡|🔦|🔆|🔅|🔌|🔋|🔍|🛁|🛀|🚿|🚽|🔧|🔩|🔨|🚪|🚬|💣|🔫|🔪|💊|💉|💰|💴|💵|💷|💶|💳|💸|📲|📧|📥|📤|✉️|📩|📨|📯|📫|📪|📬|📭|📮|📦|📝|📄|📃|📑|📊|📈|📉|📜|📋|📅|📆|📇|📁|📂|✂️|📌|📎|✒️|✏️|📏|📐|📕|📗|📘|📙|📓|📔|📒|📚|📖|🔖|📛|🔬|🔭|📰|🎨|🎬|🎤|🎧|🎼|🎵|🎶|🎹|🎻|🎺|🎷|🎸|👾|🎮|🃏|🎴|🀄|🎲|🎯|🏈|🏀|⚽|⚾️|🎾|🎱|🏉|🎳|⛳|🚵|🚴|🏁|🏇|🏆|🎿|🏂|🏊|🏄|🎣|☕|🍵|🍶|🍼|🍺|🍻|🍸|🍹|🍷|🍴|🍕|🍔|🍟|🍗|🍖|🍝|🍛|🍤|🍱|🍣|🍥|🍙|🍘|🍚|🍜|🍲|🍢|🍡|🍳|🍞|🍩|🍮|🍦|🍨|🍧|🎂|🍰|🍪|🍫|🍬|🍭|🍯|🍎|🍏|🍊|🍋|🍒|🍇|🍉|🍓|🍑|🍈|🍌|🍐|🍍|🍠|🍆|🍅|🌽|🏠|🏡|🏫|🏢|🏣|🏥|🏦|🏪|🏩|🏨|💒|⛪|🏬|🏤|🌇|🌆|🏯|🏰|⛺|🏭|🗼|🗾|🗻|🌄|🌅|🌃|🗽|🌉|🎠|🎡|⛲|🎢|🚢|⛵|🚤|🚣|⚓|🚀|✈️|💺|🚁|🚂|🚊|🚉|🚞|🚆|🚄|🚅|🚈|🚇|🚝|🚋|🚃|🚎|🚌|🚍|🚙|🚘|🚗|🚕|🚖|🚛|🚚|🚨|🚓|🚔|🚒|🚑|🚐|🚲|🚡|🚟|🚠|🚜|💈|🚏|🎫|🚦|🚥|⚠️|🚧|🔰|⛽|🏮|🎰|♨️|🗿|🎪|🎭|📍|🚩|🇯🇵|🇰🇷|🇩🇪|🇨🇳|🇺🇸|🇫🇷|🇪🇸|🇮🇹|🇷🇺|🇬🇧|1️⃣|2️⃣|3️⃣|4️⃣|5️⃣|6️⃣|7️⃣|8️⃣|9️⃣|0️⃣|🔟|🔢|#️⃣|🔣|⬆️|⬇️|⬅️|➡️|🔠|🔡|🔤|↗️|↖️|↘️|↙️|↔️|↕️|🔄|◀️|▶️|🔼|🔽|↩️|↪️|ℹ️|⏪|⏩|⏫|⏬|⤵️|⤴️|🆗|🔀|🔁|🔂|🆕|🆙|🆒|🆓|🆖|📶|🎦|🈁|🈯|🈳|🈵|🈴|🈲|🉐|🈹|🈺|🈶|🈚|🚻|🚹|🚺|🚼|🚾|🚰|🚮|🅿️|♿|🚭|🈷️|🈸|🈂️|Ⓜ️|🛂|🛄|🛅|🛃|🉑|㊙️|㊗️|🆑|🆘|🆔|🚫|🔞|📵|🚯|🚱|🚳|🚷|🚸|⛔|✳️|❇️|❎|✅|✴️|💟|🆚|📳|📴|🅰️|🅱️|🆎|🅾️|♐|♑|🔃|🕛|🕧|🕐|🕜|🕑|🕝|🕒|🕞|🕓|🕟|🕔|🕠|🕕|🕖|🕗|🕘|🕙|🕚|🕡|🕢|🕣|🕤|🕥|🕦|✖️|➕|➖|➗|♠️|♥️|♣️|♦️|💮|💯|✔️|☑️|🔘|🔗|➰|〰️|〽️|🔱|◼️|◻️|◾|◽|▪️|▫️|🔺|🔲|🔳|⚫|⚪|🔴|🔵|🔻|⬜|⬛|🔶|🔷|🔸|🔹)+/)
  
  def self.strip_emoji(str, rep=" ")
    str.gsub(@@reg_emoji, rep)
  end
   
end
